Loading...
Searching...
No Matches
Magick::shearImage Class Reference

## Public Member Functions

| shearImage (const double xShearAngle_, const double yShearAngle_)
void | operator() (Image &image_) const

## Private Attributes

double | _xShearAngle
double | _yShearAngle

## Detailed Description

Definition at line 1059 of file STL.h.

## Constructor & Destructor Documentation

## shearImage()

Magick::shearImage::shearImage | ( | const double | xShearAngle_,
|  | const double | yShearAngle_
| ) |  |

Definition at line 1004 of file STL.cpp.

: _xShearAngle( xShearAngle_ ),
_yShearAngle( yShearAngle_ )
{
}

## Member Function Documentation

## operator()()

void Magick::shearImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1010 of file STL.cpp.

{
image_.shear( _xShearAngle, _yShearAngle );
}

## Field Documentation

## _xShearAngle

double Magick::shearImage::_xShearAngle

private

Definition at line 1068 of file STL.h.

## _yShearAngle

double Magick::shearImage::_yShearAngle

private

Definition at line 1069 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp